ChangeSet 1.1387, 2003/06/10 10:30:44-07:00, greg@kroah.com

[PATCH] PCI: remove pci_for_each_bus() usage from arch/ia64/hp/common/sba_iommu.c


 arch/ia64/hp/common/sba_iommu.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/arch/ia64/hp/common/sba_iommu.c b/arch/ia64/hp/common/sba_iommu.c
--- a/arch/ia64/hp/common/sba_iommu.c	Tue Jun 10 11:15:47 2003
+++ b/arch/ia64/hp/common/sba_iommu.c	Tue Jun 10 11:15:47 2003
@@ -1939,8 +1939,8 @@
 
 #ifdef CONFIG_PCI
 	{
-		struct pci_bus *b;
-		pci_for_each_bus(b)
+		struct pci_bus *b = NULL;
+		while ((b = pci_find_next_bus(b)) != NULL)
 			sba_connect_bus(b);
 	}
 #endif
